Skip to main content

List all boards

Returns a list of your boards. The boards are returned sorted by creation date, with the most recently created boards appearing first.

Parameters​

state
enum
The state of boards to return. The default is active. One of all, active, archived.
title
string
The title to search for.

Returns​

Return a paginated response that contains an array of up to the specified limit of boards.

get
/api/boards
curl https://{workspace}.kitchen.co/api/boards \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'X-Requested-With: XMLHttpRequest' \
-H 'Authorization: Bearer {API_KEY}'
Response
{
"data": [
{
"archived_at": null,
"created_at": "2024-03-21T07:32:03+00:00",
"id": "tskb_5e22e833684835b70ea85e45",
"title": "The board title",
"description": null,
"updated_at": "2024-03-21T07:32:03+00:00",
"visibility": "internal"
}
],
"links": {
"first": "/api/boards?page=1",
"last": "/api/boards?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "/api/boards?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"path": "/api/boards",
"per_page": 20,
"to": 1,
"total": 1
}
}